var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import exec from "@simplyhexagonal/exec";
/**
 * Executes a command and logs stdout
 * @throws {@link Error} if the exit code is not 0
 */
export function execAndLogStdoutOrThrowError(param) {
    return __awaiter(this, void 0, void 0, function* () {
        const { command } = param;
        const { execPromise, execProcess } = exec(command);
        const execResult = yield execPromise;
        if (execResult.exitCode !== 0) {
            throw new Error(execResult.stderrOutput);
        }
        console.log(execResult.stdoutOutput);
        return { execResult };
    });
}
