#!/usr/bin/env node
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import { program } from 'commander';
import path from 'path';
import { npmPull } from './npm-pull';
main();
function main() {
    var _a;
    return __awaiter(this, void 0, void 0, function* () {
        program
            .name('npm-pull')
            .description('Pull latest version of a package from npm')
            .addHelpText('after', `
   
   Before pulling, if there are unstaged changes, it throws an error that tells you to stash (git stash) or commit (git commit) your changes.`);
        program.option('--package-name @deep-foundation/npm-release', 'Package name');
        program.parse(process.argv);
        let options = program.opts();
        const packageName = (_a = options.packageName) !== null && _a !== void 0 ? _a : yield import(path.resolve('package.json')).then((pkg) => pkg.name);
        yield npmPull({
            packageName,
        });
    });
}
