#!/usr/bin/env node
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import path from 'path';
import { program } from 'commander';
import { npmRelease } from './npm-release';
main();
function main() {
    return __awaiter(this, void 0, void 0, function* () {
        program
            .name('npm-release')
            .description('Release a package to npm')
            .addHelpText('after', `
   
   Before releaseing deep.json version syncronizes with package.json version. Package will not be releaseed if there are newer version in npm`);
        program
            .option('--new-version <new_version>', 'New version to release')
            .option('--package-json-file-path <package_json_file_path>', 'package.json file path')
            .option('--deep-json-file-path <deep_json_file_path>', 'deep.json file path');
        program.parse(process.argv);
        const { newVersion = 'patch', packageJsonPath = path.resolve('package.json'), deepJsonFilePath = path.resolve('deep.json'), } = program.opts();
        yield npmRelease({
            deepJsonFilePath,
            newVersion,
            packageJsonFilePath: packageJsonPath,
        });
    });
}
