#!/usr/bin/env node
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import path from 'path';
import { program } from 'commander';
import { syncDependencies } from './sync-dependencies';
main();
function main() {
    return __awaiter(this, void 0, void 0, function* () {
        program
            .name('npm-sync-versions')
            .description('Syncronized deep.json and package.json dependencies');
        program
            .option('--deep-json-file-path <deep_json_file_path>', 'deep.json file path')
            .option('--package-json-file-path <package_json_file_path>', 'package.json file path');
        program.parse(process.argv);
        const { packageJsonFilePath = path.resolve('package.json'), deepJsonFilePath = path.resolve('deep.json'), } = program.opts();
        yield syncDependencies({
            packageJsonFilePath,
            deepJsonFilePath
        });
    });
}
